## banshee 1.6.1

=== debian/changelog ===
banshee (1.6.1-1~lucid1) lucid-proposed; urgency=low

  * Upload to lucid-proposed (LP: #585761)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sun, 06 Jun 2010 06:13:28 +0800

banshee (1.6.1-1) unstable; urgency=low

  * New bugfix upstream release:
    + Enhancements:
      - More devices supported: Android: Galaxy Portal, DEXT/CLIQ
      - Automatically scan Music and Video libraries on first start
      - Improve search responsiveness on large libraries
      - Add AlbumArtist to the search menu (bgo#615692)
      - Improved Last.fm authentication experience
      - Many enhancements to MeeGo support
    + Notable Bugs Fixed (since 1.6.0):
      - Fix ListView a11y crash
      - Fix Podcasts ListView right-click crash
      - [TrackActions] Fix collection-modified crash
      - [ColumnCellAlbum] Fix invalid cast crash
      - Fix several custom-widget related crashes
      - [Dap.Ipod] Fix a race condition
      - [gapless] Fix rating resets (bgo#614863)
      - [UserJobTile] Don't crash if icons are missing (bgo#615778)
      - [BansheeQuery] Fix mime-type queries (bgo#601920)
      - [MaemoDevice] Ignore the .videos directory (bgo#614825)
      - [MaemoDevice] Set 'Music' and 'Video' as the default folders
      - [MusicBrainzQueryJob] Escape album/artist (bgo#614569)
      - 40 bugs fixed since 1.6.0
  * debian/source/format, debian/control, debian/rules:
    + Move to 3.0 (quilt) format

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 20 May 2010 00:43:45 +0800

banshee (1.6.0-1) unstable; urgency=low

  * New upstream release:
    + Notable bug fixes:
      - Fix device support on upcoming distros with DeviceKit rename
      - Restore equalizer preset correctly (bgo#614313)
      - Handle broken symlinks correctly (bgo#614065)
      - Allow overriding Android, Maemo, WebOS default settings (bgo#611991)
      - Fix crash deleting playlist on mass storage device (bgo#613734)
      - Fix issue with iTunes importer dialog sizing (bgo#613607)
      - Fix play count calculation with gapless enabled (bgo#613418)
      - Handle exceptions thrown by old plugins (LP: #546342)
      - Use panel-specific (eg monochrome) icon in notification area
        (LP: #525280)
    + Other bugs fixed:
      - Start HAL automatically if not already started (LP: #543354)
      - Fix bug where new podcasts could not be added (Closes: #575734)
  * debian/(control, rules):
    + Disable the clutter video sink
      - Uses deprecated functions, and will fail to build with a newer version
        clutter (1.2.X which is available in experimental)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 02 Apr 2010 03:12:16 +0800

banshee (1.5.6-1) unstable; urgency=low

  * New upstream release:
    + Notable bug fixes:
      - Fix rendering and interaction bugs in the grid view
      - Fix issue with volume getting reset on every song change
      - Handle volume changes from outside Banshee (eg PulseAudio)
      - Fix issue parsing some RSS feeds
      - Fix library importing and rescanning on all IO backends
      - Support coverart for albums without an artist (bgo#612626)
      - Don't capture 's' presses if keybindings disabled
      - Fix typing in the Wikipedia webkit view
      - Fix equalizer settings migration (bgo#612669)
      - Redraw the entire ListView when dragging columns
      - Increase podcast download timeout
      - Fix bad startup crash in PlayQueue on old Mono
      - Fix "Too many open files" bug with GIO backend
      - [Banshee.Hardware] Handle exceptions (bgo#613173)
      - [PodcastActions] Unsubscribe from an event on dispose
      - [ContextPane] Fix crash if active removed (bgo#613277)
      - [LastfmSource] Fix crash (bgo#612824)
      - [Lastfm] Fix crash using auth Refresh button (bgo#610911)
      - [Lastfm] Fix crash (bgo#613276)
      - Fix compilation error with older Mono
      - Fix compilation error with bundled notify-sharp
      - Fix --disable-youtube flag
      - Set YouTube install dir to Extensions/
      - Fix building with older GStreamer (bgo#613339)
  * debian/rules:
    + --enable-gdata => --enable-youtube
  * debian/control:
    + Bump taglib-sharp requirement to 2.0.3.7 as per build/m4/banshee/taglib.m4

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sun, 21 Mar 2010 21:22:57 +0800

banshee (1.5.5-1) unstable; urgency=low

  * New upstream release
    + New Features:
      - Gapless Playback / Playbin2 (LP: #45518, #377354)
      - Grid View
      - YouTube Extension
    + Enhancements:
      - Improve search responsiveness on large libraries (LP: #474514)
      - Add icons for Nexus One and Audiobooks (LP: #532182)
      - Play Queue item count, size, duration now ignores old tracks
      - Muinshee fixes: disable Auto-DJ, allow reordering, hide previous song
    + Notable bug fixes:
      - Fix a very common, SQL-related crash in 1.5.4 (Closes: #572136)
      - Fix saving equalizer settings in culture-invariant way
      - Jumping to a source's prefs via its context menu works again
      - Usage data not submitted more than every 48 hours
      - Fix repeatedly resyncing some files to a device b/c transcoded
      - Clear the redo stack on shuffle mode change
      - Accept feeds with empty title (LP: #468323)
      - Uri encode file location queries, making them work properly
  * debian/control:
    + Bump gst-plugins-base-dev version for gapless playback
    + Add libgdata-cil-dev for youtube extenesion
  * debian/rules:
    + Add --enable-gapless-playback and --enable-gdata

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 12 Mar 2010 03:13:23 +0800

banshee (1.5.4-1) unstable; urgency=low

  * New upstream release (Closes: #571734)
    + New features:
      - Opt-In Usage Data Collection
      - Default Equalizer Presets
      - Extensible Shuffle Modes
    + Enhancements:
      - Wikipedia context pane extension enabled by default
      - Add support for Nokia N900 phones
      - Add tooltip to playback error column

