=== debian/control ===
Source: banshee
Section: sound
Priority: optional
Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>, Chow Loong Jin <hyperair@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50),
               autotools-dev,
               cli-common-dev (>= 0.5.7),
               intltool (>= 0.35),
               lsb-release,
               mono-devel (>= 2.4.3),
               libboo-cil-dev (>= 0.8.1),
               libndesk-dbus1.0-cil-dev (>= 0.5),
               libndesk-dbus-glib1.0-cil-dev (>= 0.3),
               libmono-addins-cil-dev (>= 0.3.1),
               libmono-addins-gui-cil-dev (>= 0.3.1),
               libtaglib-cil-dev (>= 2.0.3.7),
               libmono-zeroconf-cil-dev (>= 0.7.3),
               libnotify-cil-dev,
               libglib2.0-cil-dev (>= 2.10),
               libgtk2.0-cil-dev (>= 2.12),
               libgconf2.0-cil-dev,
               libipod-cil-dev (>= 0.8.5),
               libipodui-cil-dev (>= 0.8.5),
               libkarma-cil-dev (>= 0.0.5),
               libwebkit-cil-dev (>= 0.2),
               libgdata-cil-dev (>= 1.4),
               monodoc-base (>= 1.1.9),
               libsqlite3-dev (>= 3.4),
               libmtp-dev (>= 0.2.0),
               gconf2,
               libglib2.0-dev,
               libgtk2.0-dev (>= 2.8),
#               libclutter-1.0-dev (>= 1.0.1),
               libx11-dev,
               libxrandr-dev (>= 2:1.1.1),
               libxxf86vm-dev (>= 1:1.0.1),
               libgstreamer0.10-dev (>= 0.10.12),
               libgstreamer-plugins-base0.10-dev (>= 0.10.25.2)
Standards-Version: 3.8.4
Homepage: http://www.banshee-project.org
Vcs-Git:  git://git.debian.org/git/pkg-cli-apps/packages/banshee.git
Vcs-Browser: http://git.debian.org/?p=pkg-cli-apps/packages/banshee.git

Package: banshee
Architecture: any
Depends: ${shlibs:Depends},
         ${cli:Depends},
         ${misc:Depends},
         gstreamer0.10-plugins-base,
         gstreamer0.10-plugins-good (>= 0.10.8-4),
         gstreamer0.10-alsa | gstreamer0.10-audiosink,
         hal,
         gnome-icon-theme (>= 2.16)
Recommends: gstreamer0.10-plugins-bad,
            podsleuth (>= 0.6.5-2~),
            brasero,
            avahi-daemon
Suggests: gstreamer0.10-plugins-ugly,
          gstreamer0.10-ffmpeg,
          banshee-dbg (=${binary:Version})
Description: Media Management and Playback application
 Banshee is a media management and playback application for the GNOME
 desktop, allowing users to import audio from CDs, search their library,
 create playlists of selections of their library, sync music to/from iPods
 and other media devices, play and manage video files and burn selections
 to a CD.

Package: banshee-dbg
Section: debug
Priority: extra
Architecture: any
Depends: banshee (= ${binary:Version}),
         ${shlibs:Depends},
         ${cli:Depends},
         ${misc:Depends}
Description: Media Management and Playback application (debug symbols)
 Banshee is a media management and playback application for the GNOME
 desktop, allowing users to import audio from CDs, search their library,
 create playlists of selections of their library, sync music to/from iPods
 and other media devices, play and manage video files and burn selections
 to a CD.
 .
 This package contains the debugging symbols for Banshee.

Package: monodoc-banshee-manual
Section: doc
Architecture: all
Depends: monodoc-manual,
         ${misc:Depends}
Description: Media Management and Playback application (developer documentation)
 Banshee is a media management and playback application for the GNOME
 desktop, allowing users to import audio from CDs, search their library,
 create playlists of selections of their library, sync music to/from iPods
 and other media devices, play and manage video files and burn selections
 to a CD.
 .
 This package contains the developer documentation for Banshee.
