=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cli-common/cli.make

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

override_dh_auto_configure:
	dh_auto_configure -- --disable-static \
	                     --disable-tests \
	                     --with-vendor-build-id="`lsb_release -ds`" \
	                     --disable-clutter \
	                     --disable-builtin-equalizer \
	                     --enable-boo \
	                     --enable-docs \
	                     --enable-webkit \
	                     --enable-youtube \
	                     --enable-gnome \
	                     --enable-schemas-install \
	                     --enable-mtp \
	                     --enable-ipod \
	                     --enable-karma \
	                     --disable-remote-audio \
	                     --enable-daap \
	                     --enable-gapless-playback \
	                     --enable-podcast \
	                     --enable-release \
	                     --disable-shave \
	                     MCS=/usr/bin/mono-csc LDFLAGS="$(LDFLAGS)"

# disable tests
override_dh_auto_test:

# dump debugging symbols in banshee-dbg
override_dh_strip:
	dh_strip --dbg-package=banshee-dbg

override_dh_clistrip:
	dh_clistrip --dbg-package=banshee-dbg

%:
	dh $@
