## banshee 1.7.6

=== debian/changelog ===
banshee (1.7.6-0ubuntu1) maverick; urgency=low

  * New upstream release
    + Enhancements:
      - Decrease the latency in changing playback volume
      - Begin editing the name of newly added playlists
      - Put all videos in the video folder on MTP devices
    + Notable Bugs Fixed
      - bgo#629314: [AppleDevice] Correct capacity/free values
      - bgo#628992: [AppleDevice]Bundle libgpod-sharp.dll.config fixing crash
      - bgo#628832: [MTP] Fix MTP-device memory issues breaking Playlists, Albums
      - bgo#629095: [MTP] Fix MTP devices being named '???'
      - bgo#629373: [MTP] Workaround MTP sigsegv bug
  * Refresh patches

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sat, 18 Sep 2010 03:05:25 +0800

banshee (1.7.5-1) UNRELEASED; urgency=low

  [ Chow Loong Jin ]
  * New upstream release
    + New Features:
      - GIO/udev-based hardware backend
      - Apple Devices backend with support for iPod/iOS devices (LP: #554141)
      - MPRIS v2 support (Ubuntu Sound Menu, etc)
      - Audiobooks and Miro Guide extensions enabled by default
    + Enhancements/API Additions:
      - Play menu item in track context menu
      - Amazon affiliate codes for all supported countries
      - "Amazon MP3s" Music smart playlist
      - Miro Guide teaser in Podcasts
      - Zoom support in Amazon MP3 Store and Miro Guide
      - Now Playing simplify mode that declutters the UI
      - Play Queue shuffle action
      - Podcast errors shown to user
      - Better MTP device detection
      - Default smart playlists hidden when empty, for new users
      - New and improved user documentation
    + Notable Bugs Fixed
      - bgo#626786: Prevent crash in search-for-artist when blank
      - bgo#628388: Fix overflow bug with MTP playlists
      - bgo#625683: Fixup checkboxes now clickable
      - bgo#626928: Fetch podcast artwork asap
      - bgo#626791: Catch crashes caused by missing extensions
      - bgo#528383: Re-enable writing video metadata to file
      - bgo#626803, LP: #617017: Fix Ogg rating parsing in non-English locales
  * debian/(control, rules):
    + Update configure flags:
      - --disable-hal
      - --disable-ipod
      - --enable-appledevice
      - --enable-gio
      - --enable-gio-hardware
    + Add new build depends:
      - libgudev1.0-cil-dev
      - libgkeyfile-cil-dev
      - libgio2.0-cil-dev
      - libgtk-sharp-beans2.0-cil-dev
      - libgpod-cil-dev
    + Update version of libmtp-dev build-dep to 0.3.0
    + Drop hal, podsleuth and ipod-sharp dependencies
  * debian/patches:
    + 0001-Don-t-copy-duplicate-libraries.patch: Don't copy duplicate
      libraries
    + 0002-Also-copy-gio-sharp-s-debugging-libraries-if-they-ar.patch:
      Copy debugging libraries if they exist

  [ Iain Lane ]
  * Make sure mimeinfo.cache is removed
  * Fix casing of variable in patch, resolving missing dllmap issue
  * Ensure that gpod-sharp's DLLmap is copied

  [ Chow Loong Jin ]

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sat, 18 Sep 2010 01:47:47 +0800

banshee (1.7.5-0ubuntu2) maverick; urgency=low

  * Fix casing of variable in patch, resolving missing dllmap issue
  * Ensure that gpod-sharp's DLLmap is copied

 -- Iain Lane <laney@ubuntu.com>  Wed, 08 Sep 2010 01:21:22 +0800

banshee (1.7.5-0ubuntu1) maverick; urgency=low

  [ Chow Loong Jin ]
  * New upstream release
    + New Features:
      - GIO/udev-based hardware backend
      - Apple Devices backend with support for iPod/iOS devices (LP: #554141)
      - MPRIS v2 support (Ubuntu Sound Menu, etc)
      - Audiobooks and Miro Guide extensions enabled by default
    + Enhancements/API Additions:
      - Play menu item in track context menu
      - Amazon affiliate codes for all supported countries
      - "Amazon MP3s" Music smart playlist
      - Miro Guide teaser in Podcasts
      - Zoom support in Amazon MP3 Store and Miro Guide
      - Now Playing simplify mode that declutters the UI
      - Play Queue shuffle action
      - Podcast errors shown to user
      - Better MTP device detection
      - Default smart playlists hidden when empty, for new users
      - New and improved user documentation
    + Notable Bugs Fixed
      - bgo#626786: Prevent crash in search-for-artist when blank
      - bgo#628388: Fix overflow bug with MTP playlists
      - bgo#625683: Fixup checkboxes now clickable
      - bgo#626928: Fetch podcast artwork asap
      - bgo#626791: Catch crashes caused by missing extensions
      - bgo#528383: Re-enable writing video metadata to file
      - bgo#626803, LP: #617017: Fix Ogg rating parsing in non-English locales
  * debian/(control, rules):
    + Update configure flags:
      - --disable-hal
      - --disable-ipod
      - --enable-appledevice
      - --enable-gio
      - --enable-gio-hardware
    + Add new build depends:
      - libgudev1.0-cil-dev
      - libgkeyfile-cil-dev
      - libgio2.0-cil-dev
      - libgtk-sharp-beans2.0-cil-dev
      - libgpod-cil-dev
    + Update version of libmtp-dev build-dep to 0.3.0
    + Drop hal, podsleuth and ipod-sharp dependencies
  * debian/patches:
    + 0001-Don-t-copy-duplicate-libraries.patch: Don't copy duplicate
      libraries
    + 0002-Also-copy-gio-sharp-s-debugging-libraries-if-they-ar.patch:
      Copy debugging libraries if they exist

  [ Iain Lane ]
  * Upload to Ubuntu from Debian git, as the dependencies are not all
    ready in Debian.
  * [fe5e8fb] Refresh and update patches to apply cleanly
  * [a688fa9] Disable Boo support and remove build dependency
  * [df01b1e] Generate translation template and set gettext domain in
    the Ubuntu build
  * [9c3402b] Make sure mimeinfo.cache is removed
  * [d54fedc] Update changelog version for Ubuntu

 -- Iain Lane <laney@ubuntu.com>  Mon, 06 Sep 2010 20:05:45 +0100

banshee (1.7.4-1ubuntu1) maverick; urgency=low

  * Merge from Debian experimental, remaining changes:
    + debian/patches:
      - 01_Debranch-netbook-interface.patch: Debrand the netbook interface

