=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: banshee
 Section: sound
 Priority: optional
-Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>, Chow Loong Jin <hyperair@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50),
                autotools-dev,
@@ -9,7 +10,6 @@
                intltool (>= 0.35),
                lsb-release,
                mono-devel (>= 2.4.3),
-               libboo-cil-dev (>= 0.8.1),
                libndesk-dbus1.0-cil-dev (>= 0.5),
                libndesk-dbus-glib1.0-cil-dev (>= 0.3),
                libmono-addins-cil-dev (>= 0.3.1),
@@ -20,14 +20,19 @@
                libglib2.0-cil-dev (>= 2.10),
                libgtk2.0-cil-dev (>= 2.12),
                libgconf2.0-cil-dev,
-               libipod-cil-dev (>= 0.8.5),
-               libipodui-cil-dev (>= 0.8.5),
+               libgudev1.0-cil-dev (>= 0.1),
+               libgkeyfile-cil-dev (>= 0.1),
+               libgio2.0-cil-dev (>= 2.22),
+               libgtk-sharp-beans2.0-cil-dev (>= 2.8),
+               libgpod-cil-dev (>= 0.7.94),
                libkarma-cil-dev (>= 0.0.5),
-               libwebkit-cil-dev (>= 0.2),
+               libwebkit-dev (>= 1.2.2),
+               libsoup2.4-dev (>= 2.26),
+               libsoup-gnome2.4-dev (>= 2.26),
                libgdata-cil-dev (>= 1.4),
                monodoc-base (>= 1.1.9),
                libsqlite3-dev (>= 3.4),
-               libmtp-dev (>= 0.2.0),
+               libmtp-dev (>= 0.3.0),
                gconf2,
                libglib2.0-dev,
                libgtk2.0-dev (>= 2.8),
@@ -36,9 +41,10 @@
                libxrandr-dev (>= 2:1.1.1),
                libxxf86vm-dev (>= 1:1.0.1),
                libgstreamer0.10-dev (>= 0.10.12),
-               libgstreamer-plugins-base0.10-dev (>= 0.10.25.2)
-Standards-Version: 3.8.4
-Homepage: http://www.banshee-project.org
+               libgstreamer-plugins-base0.10-dev (>= 0.10.25.2),
+               gnome-doc-utils (>= 0.17.3)
+Standards-Version: 3.9.1
+Homepage: http://www.banshee.fm
 Vcs-Git:  git://git.debian.org/git/pkg-cli-apps/packages/banshee.git
 Vcs-Browser: http://git.debian.org/?p=pkg-cli-apps/packages/banshee.git
 
@@ -50,21 +56,36 @@
          gstreamer0.10-plugins-base,
          gstreamer0.10-plugins-good (>= 0.10.8-4),
          gstreamer0.10-alsa | gstreamer0.10-audiosink,
-         hal,
          gnome-icon-theme (>= 2.16)
 Recommends: gstreamer0.10-plugins-bad,
-            podsleuth (>= 0.6.5-2~),
             brasero,
             avahi-daemon
 Suggests: gstreamer0.10-plugins-ugly,
           gstreamer0.10-ffmpeg,
           banshee-dbg (=${binary:Version})
+Breaks: banshee-extensions-common (<< 1.6.1-2.)
 Description: Media Management and Playback application
  Banshee is a media management and playback application for the GNOME
  desktop, allowing users to import audio from CDs, search their library,
  create playlists of selections of their library, sync music to/from iPods
  and other media devices, play and manage video files and burn selections
  to a CD.
+
+Package: banshee-meego
+Architecture: any
+Depends: banshee (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${cli:Depends},
+         ${misc:Depends}
+Description: Media Management and Playback application - MeeGo extension
+ Banshee is a media management and playback application for the GNOME
+ desktop, allowing users to import audio from CDs, search their library,
+ create playlists of selections of their library, sync music to/from iPods
+ and other media devices, play and manage video files and burn selections
+ to a CD.
+ .
+ This package contains Banshee's MeeGo interface, optimised for running on
+ small devices.
 
 Package: banshee-dbg
 Section: debug
