=== debian/rules ===
--- 
+++ 
@@ -10,17 +10,25 @@
 	                     --with-vendor-build-id="`lsb_release -ds`" \
 	                     --disable-clutter \
 	                     --disable-builtin-equalizer \
-	                     --enable-boo \
+	                     --disable-gst-sharp \
+	                     --enable-user-help \
+	                     --disable-boo \
 	                     --enable-docs \
-	                     --enable-webkit \
 	                     --enable-youtube \
+	                     --disable-hal \
+	                     --enable-gio \
+	                     --enable-gio-hardware \
+	                     --disable-moonlight \
 	                     --enable-gnome \
 	                     --enable-schemas-install \
 	                     --enable-mtp \
-	                     --enable-ipod \
+	                     --enable-appledevice \
+	                     --disable-ipod \
 	                     --enable-karma \
+	                     --enable-daap \
 	                     --disable-remote-audio \
-	                     --enable-daap \
+	                     --disable-torrent \
+	                     --enable-meego \
 	                     --enable-gapless-playback \
 	                     --enable-podcast \
 	                     --enable-release \
@@ -37,5 +45,25 @@
 override_dh_clistrip:
 	dh_clistrip --dbg-package=banshee-dbg
 
+override_dh_install:
+	# make sure we don't include a generated MIME database
+	find debian/tmp/usr/share/mime/ -mindepth 1 -maxdepth 1 -not -name packages -print0 | xargs -0 rm -rf
+	rm -f debian/tmp/usr/share/applications/mimeinfo.cache
+	dh_install
+	# Remove MeeGo stuff from banshee binary package
+	rm -r debian/banshee/usr/share/mutter-meego/ \
+	      debian/banshee/usr/lib/banshee-1/MeeGo.exe \
+	      debian/banshee/usr/lib/banshee-1/Extensions/Banshee.MeeGo.dll* \
+	      debian/banshee/usr/share/dbus-1/services/com.meego*
+ifeq ($(shell dpkg-vendor --query vendor), Ubuntu)
+	cd po; intltool-update --pot
+
+	for d in $$(find debian/ -type f \( -name "*.desktop" -o -name "*.directory" \) ); do \
+	    sed -ri '/^(Name|GenericName|Comment|X-GNOME-FullName)\[/d' $$d; \
+	    echo "X-Ubuntu-Gettext-Domain=banshee" >> $$d; \
+	done 
+endif
+
 %:
 	dh $@
+
