## banshee 1.8.1

=== debian/changelog ===
banshee (1.8.1-0ubuntu1) maverick-proposed; urgency=low

  * [338f8fe] New upstream bugfix release:
    + Sync dialog would sometimes be displayed forever
    + Nereid: Always grab search entry focus on ctrl+f
    + Lastfm: Fix NRE in LastfmRequest when the request times out
    + bgo#486543: Playlists: Fix parsing when started from root directory
      (LP: #674116)
    + bgo#540394: AudioCdRipper: Don't overwrite existing files when
      ripping (LP: #348502)
    + bgo#540525: TrackActions: Stop when the playing track is deleted
      (LP: #366893)
    + bgo#587936: AppleDevice: Sync the Sort+ fields
    + bgo#609463: Equalizer: Fix distortion by using floating math
    + bgo#620010: Fix displaying random image for "All Albums"
    + bgo#623441: DatabaseImportManager: Fix duplicates on import
    + bgo#624734: InternetRadio: Allow editing stations again
    + bgo#629005: FullscreenWindow: Fix full-screen on multi-head displays
    + bgo#630209: AppleDevice: Fix podcast flag for video podcasts
    + bgo#631172: AppleDevice: Fix podcast support
    + bgo#631961: Gio: Fix InvalidCastException
    + bgo#632114: Fix hang when replaying video
    + bgo#632196: AlbumListView: Fix MissingIntPtrCtorException
    + bgo#632246: ThickClient: Fix IntPtr ctor issue in SourceComboBox
      (LP: #669857)
    + bgo#632420: Booter: Use the MeeGo client if appropriate
    + bgo#632715: Bookmarks: Fix UI not getting loaded
    + bgo#633764: Dap: Fix not transcoding some files when we should
    + bgo#633841: StreamTagger: Recognize webm as video (LP: #669682)
    + bgo#634652: AppleDevice: Remove invalid tracks before syncing
    + bgo#634686: Streaming: Fix streaming broken after first play
    + bgo#635453: Importing: Fix regression with importing mkv
    + bgo#635776: build: Ensure karma-sharp's DLLmap is copied in the
      build
    + bgo#635791: Metrics: Fix translation of the preference label
    + bgo#637303: FileChooserDialog: Fix error message on first launch
      (LP: #687402)
    + bgo#637627: FullscreenWindow: Keep fullscreen when showing volume
      osd
    + bgo#637991: SourceRowRenderer: Fix vertical alignment calculation
    + bgo#638477: X11NotificationArea: Enhance check for RGBA visual
      (LP: #689505)
    + bgo#638755: Dap.MassStorage: Add support for Xperia X10 mini pro
    + bgo#638989: Dap.MassStorage: Add support for Nexus S
    + bgo#635088: Dap.MassStorage: Add support for the LG Ally phone
    + bgo#633551: Dap.MassStorage: Add support for Huawei Ideos Android
      phones
    + bgo#631687: Dap.MassStorage: Fix extensionless files
    + bgo#639603: PlayerEngine: Fix NRE when current track doesn't have a
      Uri
    + bnc#642505: Fix insecure LD_LIBRARY_PATH
  * [7fd9862] Drop patch for bgo#623441 (applied upstream)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sun, 30 Jan 2011 02:42:20 +0800

banshee (1.8.0-2ubuntu1~maverick2) maverick-proposed; urgency=low

  * debian/rules: Fix gettext domain (LP: #677173)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 25 Nov 2010 12:05:09 +0800

banshee (1.8.0-2ubuntu1~maverick1) maverick-proposed; urgency=low

  * Upload to Maverick

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 22 Oct 2010 17:45:59 +0800

banshee (1.8.0-2ubuntu1) natty; urgency=low

  * Merge from Debian experimental, remaining changes:
    + debian/banshee-meego.install: Install netbook banshee.desktop to UNE
      location
    + Disable boo support
    + Recommend soundmenu extension

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 22 Oct 2010 01:53:21 +0800

banshee (1.8.0-2) experimental; urgency=low

  * Fix duplicates on import (BGO #623441)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 21 Oct 2010 18:53:54 +0800

banshee (1.8.0-1) experimental; urgency=low

  * New upstream release
    + Adds playlist support to libgpod backend
    + Fixes hanging issue during beginning of playback (LP: #448533)
    + Fixes an issue where mass storage devices were not detected (LP: #646482)
    + Fixes an issue where iPods are not updated with the gpod backend
      (LP: #640090)
  * Bump libgpod-cil-dev dependency to 0.7.95
  * Import Ubuntu's upstreamable patches
  * Run intltool and mangle desktop file for Ubuntu
    upstream"

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 01 Oct 2010 02:41:41 +0800
