=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                libgkeyfile-cil-dev (>= 0.1),
                libgio2.0-cil-dev (>= 2.22),
                libgtk-sharp-beans2.0-cil-dev (>= 2.8),
-               libgpod-cil-dev (>= 0.7.94),
+               libgpod-cil-dev (>= 0.7.95),
                libkarma-cil-dev (>= 0.0.5),
                libwebkit-dev (>= 1.2.2),
                libsoup2.4-dev (>= 2.26),
@@ -59,7 +59,8 @@
          gnome-icon-theme (>= 2.16)
 Recommends: gstreamer0.10-plugins-bad,
             brasero,
-            avahi-daemon
+            avahi-daemon,
+            banshee-extension-soundmenu
 Suggests: gstreamer0.10-plugins-ugly,
           gstreamer0.10-ffmpeg,
           banshee-dbg (=${binary:Version})
