=== debian/rules ===
--- 
+++ 
@@ -60,8 +60,8 @@
 
 	for d in $$(find debian/ -type f \( -name "*.desktop" -o -name "*.directory" \) ); do \
 	    sed -ri '/^(Name|GenericName|Comment|X-GNOME-FullName)\[/d' $$d; \
-	    echo "X-Ubuntu-Gettext-Domain=banshee" >> $$d; \
-	done 
+	    echo "X-Ubuntu-Gettext-Domain=banshee-1" >> $$d; \
+	done
 endif
 
 %:
