## banshee 2.0.0

=== debian/changelog ===
banshee (2.0.0-2ubuntu1) natty; urgency=low

  * [d07fe37] Merge from Debian Unstable, remaining changes:
    + Enable SoundMenu and Disable NotificationArea by default
    + Disable boo and karma extensions
    + Enable and recommnd u1ms and soundmenu extensions
    + Move desktop file for Meego UI to /usr/share/une/applications
    + Change the url for the Amazon store redirector
    + Create the U1MS widget earlier and bump libu1 requirement

 -- Chow Loong Jin <hyperair@ubuntu.com>  Mon, 18 Apr 2011 11:38:56 +0800

banshee (2.0.0-2) unstable; urgency=low

  [ Chow Loong Jin ]
  * [8ee2dd2] Set compression to bz2
  * [0ffc007] Disable dh_makeclilibs
  * [a9bdd15] Update copyright file to dep-5
  * [8c123e8] Don't enable librarywatcher by default (LP: #760902, #622313)
  * [0d952b6] Refresh 08_remove_unrelevant_media.patch

  [ Christopher James Halse Rogers ]
  * [5809dc3] Cherry-pick CPU-usage reduction patches from stable-2.0
  * [920dd3e] Bump GIO# build-depend to ensure we build against the fixed
    package

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sat, 16 Apr 2011 18:51:30 +0800

banshee (2.0.0-1ubuntu3) natty; urgency=low

  * 11_reduce_cpu_usage.patch:
    - Cherry pick two commits from the stable-2.0 branch reducing Banshee's
      CPU use while playing by about 50%.
  * Bump build-depend on GIO# to ensure we pick up the fix for a nasty leak.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 11 Apr 2011 18:14:48 +1000

banshee (2.0.0-1ubuntu2) natty; urgency=low

  * 90_amazon_url.patch:
    - Change the url for the Amazon store redirector (LP: #745194)
  * 91_u1ms-initialize-earlier.patch:
    - Create the U1MusicStore widget earlier (LP: #604699)
    - Require libubuntuone >= 0.9.2

 -- Rodney Dawes <rodney.dawes@canonical.com>  Fri, 08 Apr 2011 23:37:37 -0400

banshee (2.0.0-1ubuntu1) natty; urgency=low

  * Merge from Debian Unstable, remaining changes:
    + Enable SoundMenu and Disable NotificationArea by default
    + Disable boo and karma extensions
    + Enable and recommnd u1ms and soundmenu extensions
    + Move desktop file for Meego UI to /usr/share/une/applications

 -- Chow Loong Jin <hyperair@ubuntu.com>  Wed, 06 Apr 2011 23:43:24 +0800

banshee (2.0.0-1) unstable; urgency=low

  [ Chow Loong Jin ]
  * [ea911b3] New upstream release:
    + Enhancements:
      - Support Amazon Cloud Player browsing and downloading
      - 'Shuffle by' respects user-selected artist/album
      - Support LG Optimus S Android phone
      - Add DBus method to clear the play queue
    + Notable bugs fixed:
      - [AppleDevice] Sync dialog would be displayed forever
      - bgo#636448: AppleDevice: Fix music appearing in Videos in Banshee
      - Wrong mouse pointer on search box (LP: #723122)
  * [69aa1ac] Refresh 06_add-meego-desktop-file.patch

  [ Iain Lane ]
  * [eac3863] Add new patch to only bind to the loopback address for the DAAP proxy
    (LP: #753986)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Wed, 06 Apr 2011 18:14:27 +0800

banshee (1.9.6-1ubuntu1) natty; urgency=low

  * Merge from Debian Unstable, remaining changes:
    + Enable SoundMenu and Disable NotificationArea by default
    + Disable boo and karma extensions
    + Enable and recommnd u1ms and soundmenu extensions
    + Move desktop file for Meego UI to /usr/share/une/applications
  * [b14f32d] Bump libubuntuone1.0-cil-dev version in build-dep
  * [e382b0f] Update soundmenu and u1ms install files for rename

 -- Chow Loong Jin <hyperair@ubuntu.com>  Tue, 29 Mar 2011 08:16:04 +0800

banshee (1.9.6-1) unstable; urgency=low

  * [3b75d9a] Fix wrong comparison of yes vs y for gio-hardware (LP: #736631)
  * [9a41f05] New upstream release:
    + Enhancements:
      - Rename banshee-1 to banshee in preparation for 2.0
      - AmazonMp3.Store: amazon.ca support
      - MiroGuide: Handle Listen links from front page
      - Dap: Add support for Sharp IS01 (bgo#645361)
      - Playlists: Recognize m3u playlists without header (bgo#645351)
      - LibraryWatcher: Guard against watching incorrect dirs (bgo#633309)
      - MassStorage: Support Sirius Alpha Android phone (bgo#643960)
      - WebOSDevice: Support playlists (bgo#641486)
      - Windows: Auto-update functionality (bgo#641960)
    + Notable Bugs Fixed (26 fixed since 1.9.5):
      - MiroGuide: Properly escape search query strings
      - AmazonMp3.Store: Fix search query escaping
      - bgo#623183: DatabaseTrackInfo: Fix rating update on current track
      - bgo#637717: audio-profiles: fix duration for CBR lame profile
        (LP: #700684)
      - bgo#614192: GStreamer: Fix inappropriate repeating
      - bgo#643782: Mpris: Distinguish between music and video playlists
      - bgo#641515: Workaround X BadMatch crash (LP: #725316)
      - bgo#619609: Metadata: Do not fetch covers for unknown albums/artists
      - bgo#631012: Audiobook: Fix crash when switch to playlist
      - bgo#628087: Handle setting SearchEntry.Query to nullb
      - bgo#602145: InternetRadio: Clear playback errors when playing
        (LP: #423622)
      - bgo#635951: Fix skipping removed/deleted tracks
  * [b5f2f21] Handle banshee-1 rename back to banshee
  * [07f8bb8] Refresh 06_add-meego-desktop-file.patch

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sat, 26 Mar 2011 00:48:41 +0800

banshee (1.9.5-1ubuntu1) natty; urgency=low

  * Merge from Debian Unstable, remaining changes:
    + Enable SoundMenu and Disable NotificationArea by default
    + Disable boo and karma extensions
    + Enable and recommnd u1ms and soundmenu extensions
    + Move desktop file for Meego UI to /usr/share/une/applications

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 11 Mar 2011 01:05:18 +0800

banshee (1.9.5-1) unstable; urgency=low

  * [6e971aa] Only use GIO Hardware on linux-any (Closes: #615126)
  * [017db91] Fix some dh_clideps issues
  * [9c7ee7c] New upstream release
    + Enhancements:
      - Add support for handling u1ms:// links

