## banshee 2.0.0-2ubuntu2+5.0trisquel1

=== debian/changelog ===
banshee (2.0.0-2ubuntu2+5.0trisquel1) dagda; urgency=low

  * Amazon referer returned to GNOME Foundation

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 10 Dec 2011 16:23:56 +0000

banshee (2.0.0-2ubuntu2) natty-proposed; urgency=low

  * Rebuild against new libgpod (LP: #772089)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Mon, 27 Jun 2011 19:07:05 +0800
