=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: banshee
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>, Chow Loong Jin <hyperair@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50),
@@ -13,39 +13,40 @@
                libndesk-dbus1.0-cil-dev (>= 0.5),
                libndesk-dbus-glib1.0-cil-dev (>= 0.3),
                libmono-addins-cil-dev (>= 0.3.1),
-               libmono-addins-gui-cil-dev (>= 0.3.1),
                libtaglib-cil-dev (>= 2.0.3.7),
                libmono-zeroconf-cil-dev (>= 0.7.3),
                libnotify-cil-dev,
                libglib2.0-cil-dev (>= 2.10),
                libgtk2.0-cil-dev (>= 2.12),
                libgconf2.0-cil-dev,
-               libgudev1.0-cil-dev (>= 0.1),
+               libgudev1.0-cil-dev (>= 0.1) [linux-any],
                libgkeyfile-cil-dev (>= 0.1),
-               libgio2.0-cil-dev (>= 2.22),
+               libgio2.0-cil-dev (>= 2.22.3-1~),
                libgtk-sharp-beans2.0-cil-dev (>= 2.8),
                libgpod-cil-dev (>= 0.7.95),
-               libkarma-cil-dev (>= 0.0.5),
-               libwebkit-dev (>= 1.2.2),
+               libubuntuone1.0-cil-dev (>= 0.9.2),
+               libwebkitgtk-dev (>= 1.2.2),
                libsoup2.4-dev (>= 2.26),
                libsoup-gnome2.4-dev (>= 2.26),
-               libgdata-cil-dev (>= 1.4),
+               libgdata-cil-dev (>= 1.7),
                monodoc-base (>= 1.1.9),
                libsqlite3-dev (>= 3.4),
                libmtp-dev (>= 0.3.0),
                gconf2,
                libglib2.0-dev,
+               libwnck-dev,
                libgtk2.0-dev (>= 2.8),
 #               libclutter-1.0-dev (>= 1.0.1),
                libx11-dev,
                libxrandr-dev (>= 2:1.1.1),
                libxxf86vm-dev (>= 1:1.0.1),
-               libgstreamer0.10-dev (>= 0.10.12),
-               libgstreamer-plugins-base0.10-dev (>= 0.10.25.2),
-               gnome-doc-utils (>= 0.17.3)
+               libgstreamer0.10-dev (>= 0.10.23),
+               libgstreamer-plugins-base0.10-dev (>= 0.10.26),
+               gnome-doc-utils (>= 0.17.3),
+               libgnome-desktop-dev
 Standards-Version: 3.9.1
 Homepage: http://www.banshee.fm
-Vcs-Git:  git://git.debian.org/git/pkg-cli-apps/packages/banshee.git
+Vcs-Git: git://git.debian.org/git/pkg-cli-apps/packages/banshee.git
 Vcs-Browser: http://git.debian.org/?p=pkg-cli-apps/packages/banshee.git
 
 Package: banshee
@@ -57,11 +58,13 @@
          gstreamer0.10-plugins-good (>= 0.10.8-4),
          gstreamer0.10-alsa | gstreamer0.10-audiosink,
          gnome-icon-theme (>= 2.16)
-Recommends: gstreamer0.10-plugins-bad,
-            brasero,
+Recommends: brasero,
             avahi-daemon,
-            banshee-extension-soundmenu
-Suggests: gstreamer0.10-plugins-ugly,
+            banshee-extension-soundmenu (=${binary:Version}),
+            banshee-extension-ubuntuonemusicstore (=${binary:Version}),
+            media-player-info
+Suggests: gstreamer0.10-plugins-bad,
+          gstreamer0.10-plugins-ugly,
           gstreamer0.10-ffmpeg,
           banshee-dbg (=${binary:Version})
 Breaks: banshee-extensions-common (<< 1.6.1-2.)
@@ -71,6 +74,39 @@
  create playlists of selections of their library, sync music to/from iPods
  and other media devices, play and manage video files and burn selections
  to a CD.
+
+Package: banshee-extension-soundmenu
+Architecture: any
+Depends: banshee (>= ${source:Upstream-Version}),
+         ${cli:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
+Enhances: banshee
+Description: Media Management and Playback application - sound menu extension
+ Banshee is a media management and playback application for the GNOME
+ desktop, allowing users to import audio from CDs, search their library,
+ create playlists of selections of their library, sync music to/from iPods
+ and other media devices, play and manage video files and burn selections
+ to a CD.
+ .
+ This package contains Banshee's support for the Sound Menu
+
+Package: banshee-extension-ubuntuonemusicstore
+Architecture: any
+Depends: banshee (>= ${source:Upstream-Version}),
+         ${cli:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends},
+         libubuntuone1.0-cil (>= 0.9.2)
+Enhances: banshee
+Description: Media Management and Playback application - U1MS extension
+ Banshee is a media management and playback application for the GNOME
+ desktop, allowing users to import audio from CDs, search their library,
+ create playlists of selections of their library, sync music to/from iPods
+ and other media devices, play and manage video files and burn selections
+ to a CD.
+ .
+ This package contains Banshee's support for the Ubuntu One Music Store
 
 Package: banshee-meego
 Architecture: any
