## banshee 2.0.1

=== debian/changelog ===
banshee (2.0.1-1ubuntu1~natty2) natty-proposed; urgency=low

  * Re-upload after MicroRelease Exception approval

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sat, 02 Jul 2011 10:05:47 +0800

banshee (2.0.1-1ubuntu1~natty1) natty-proposed; urgency=low

  * Backport to Natty (LP: #784179)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Wed, 18 May 2011 02:20:20 +0800

banshee (2.0.1-1ubuntu1) oneiric; urgency=low

  * [327a8d2] Merge from Debian Unstable, remaining changes:
    + Enable SoundMenu and Disable NotificationArea by default
    + Disable boo and karma extensions
    + Enable and recommnd u1ms and soundmenu extensions
    + Move desktop file for Meego UI to /usr/share/une/applications
    + Change the url for the Amazon store redirector
    + Create the U1MS widget earlier and bump libu1 requirement
  * [2ca3f6a] Refresh 90_amazon_url.patch

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 06 May 2011 17:00:03 +0800

banshee (2.0.1-1) unstable; urgency=low

  * [5f2e8a7] Switch over to bz2 in debian/watch
  * [5dcec7d] New upstream release:
    + AmazonMp3.Store: Fix signed-in detection for UK store
    + PodcastFeedPropertiesDialog: Fix display of feed URL (underscore)
    + bgo#648941: Add .spc to whitelist
    + bgo#648458: PlsPlaylistFormat: Make parsing the header case+insensitive
    + bgo#647754: Add USB ids for Xperia X12
    + bgo#647024: Lastfm: Fix NRE crash
    + bgo#646991: AlbumListView: Fix disappearing option in Preferences
    + bgo#647932: DatabaseSource: Fix NRE in SkipTrackIfRemoved
    + bgo#642140: Last.fm: Close HTTP streams when finished with them
    + bgo#633552: AppleDevice: Ensure m4a/mp3 are supported
    + bgo#647144: StreamPositionLabel: Avoid unnecessary redraws
    + bgo#647089: Daap: Bind to IPAddress.Loopback instead of Any (LP: #753986)
    + bgo#647059: Fix Remote Daap crash
  * [5bd47d1] Drop upstreamed 10_bind-to-loopback-for-daap
  * [a853ad8] Drop upstreamed 11_reduce_cpu_usage.patch

 -- Chow Loong Jin <hyperair@ubuntu.com>  Tue, 03 May 2011 21:42:30 +0800
