=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: banshee
 Section: sound
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>, Chow Loong Jin <hyperair@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50),
