=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cli-common/cli.make

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

CONFFLAGS = \
	--disable-static \
	--disable-tests \
	--with-vendor-build-id="`lsb_release -ds`" \
	--disable-clutter \
	--disable-builtin-equalizer \
	--disable-gst-sharp \
	--enable-user-help \
	--enable-docs \
	--enable-youtube \
	--disable-hal \
	--enable-gio \
	--disable-moonlight \
	--enable-gnome \
	--enable-schemas-install \
	--enable-mtp \
	--enable-appledevice \
	--disable-ipod \
	--enable-daap \
	--disable-remote-audio \
	--disable-torrent \
	--enable-meego \
	--enable-gapless-playback \
	--enable-podcast \
	--enable-release \
	--disable-shave \
	MCS=/usr/bin/mono-csc LDFLAGS="$(LDFLAGS)"

ifeq ($(shell dpkg-vendor --query vendor), Ubuntu)
CONFFLAGS += \
	--disable-boo \
	--disable-karma \
	--enable-soundmenu \
	--enable-ubuntuone
else
CONFFLAGS += \
	--enable-boo \
	--enable-karma \
	--disable-soundmenu \
	--disable-ubuntuone
endif

ifeq ($(shell dpkg-architecture -ilinux-any && echo yes), yes)
CONFFLAGS += --enable-gio-hardware
else
CONFFLAGS += --disable-gio-hardware
endif

override_dh_auto_configure:
	dh_auto_configure -- $(CONFFLAGS)

# disable tests
override_dh_auto_test:

# dump debugging symbols in banshee-dbg
override_dh_strip:
	dh_strip --dbg-package=banshee-dbg

override_dh_clistrip:
	dh_clistrip --dbg-package=banshee-dbg

# disable dh_makeclilibs for weird signed libraries
override_dh_makeclilibs:

override_dh_install:
	# make sure we don't include a generated MIME database
	find debian/tmp/usr/share/mime/ -mindepth 1 -maxdepth 1 -not -name packages -print0 | xargs -0 rm -rf
	rm -f debian/tmp/usr/share/applications/mimeinfo.cache
	dh_install
	# Remove MeeGo stuff from banshee binary package
	rm -r debian/banshee/usr/share/mutter-meego/ \
	      debian/banshee/usr/lib/banshee/MeeGo.exe \
	      debian/banshee/usr/lib/banshee/Extensions/Banshee.MeeGo.dll* \
	      debian/banshee/usr/share/dbus-1/services/com.meego*
ifeq ($(shell dpkg-vendor --query vendor), Ubuntu)
	# Remove U1MS and Sound Menu stuff from banshee
	rm -r debian/banshee/usr/lib/banshee/Extensions/Banshee.SoundMenu.* \
	      debian/banshee/usr/lib/banshee/Extensions/Banshee.UbuntuOneMusicStore.*
	cd po; intltool-update --pot

	for d in $$(find debian/ -type f \( -name "*.desktop" -o -name "*.directory" \) ); do \
	    sed -ri '/^(Name|GenericName|Comment|X-GNOME-FullName)\[/d' $$d; \
	    echo "X-Ubuntu-Gettext-Domain=banshee" >> $$d; \
	done
endif

%:
	dh $@
