=== debian/watch ===
version=3
http://download.banshee.fm/banshee/unstable/(\d\.\d\.\d)/banshee-(.*)\.tar\.bz2
http://download.banshee.fm/banshee/stable/(\d\.\d\.\d)/banshee-(.*)\.tar\.bz2
